body {
  font-family: "Poppins", sans-serif;
  overflow-x: hidden !important;
  scroll-behavior: smooth;
}

html {
  scroll-padding-top: 35px;
}

.header-informations {
  align-items: center;
}

.img-container img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.navbar-brand-inicio img {
  height: 50px;
  width: auto;
  object-fit: contain;
}

/* BACKGROUND "FAIXA ROXA" */
.shape-background,
.shape-background-2,
.shape-background-3,
.shape-background-4,
.shape-background-5 {
  width: 100vw;
  height: 100%;
  z-index: -1;
  top: 0;
}

#description-plan {
  list-style: none;
  padding: 0;
  align-items: start;
}

/* Sections */
.planos {
  scroll-margin-top: 80px;
}

/* COMANDOS DOS BACKGROUNS */
.shape-background-4 {
  position: absolute;
}

.shape-command {
  background-color: #ca1100;
}

/* complementos do background "triangulos" */
.top-complement {
  content: "";
  display: inline-block;
  position: absolute;
  z-index: -1;
  width: 0;
  height: 0;
  bottom: 0;
  border-left: 100vw solid transparent;
  border-bottom: 200px solid #ca1100;
  margin-bottom: -2px;
}

.bottom-complement {
  content: "";
  display: inline-block;
  position: absolute;
  z-index: -1;
  margin-right: 10px;
  width: 0;
  height: 0;
  top: 0;
  border-right: 100vw solid transparent;
  border-left: 1px solid transparent;
  border-top: 200px solid #ca1100;
  margin-top: -2px;
}

/* CAROUSEL */
/* carousel indicator */
.carousel-indicators {
  margin-bottom: -3rem !important;
}

.carousel-indicators button {
  background-color: gray !important;
  height: 15px !important;
  width: 15px !important;
  border-radius: 50%;
  border: 1px solid transparent !important;
}

.carousel-indicators .active {
  background-color: #ca1100 !important;
  border: 1px solid #fff !important;
  transition: 0.6s ease-out;
}

section {
  position: relative !important;
}

/* perguntas frequentes */

#question,
#response {
  background-color: #fff;
  width: 80vw;
  border-radius: 10px;
  padding: 10px 20px;
  text-align: left;
  transition: 0.5s ease-in-out;
}

#response {
  background-color: whitesmoke;
  margin-top: 10px;
  transition: 0.5s ease-in-out !important;
  text-wrap: wrap;
  padding-bottom: 1px;
}

#question p {
  margin: 0 !important;
}

.response {
  transition: 0.6s !important;
}

#text-question {
  font-weight: 500;
}

/* sumario das questões */
details > summary {
  list-style: none;
}

summary::-webkit-details-marker {
  display: none;
}

details {
  display: flex;
  justify-content: space-between;
}

/* HOVER */
.navbar {
  position: fixed;
  width: 100%;
  z-index: 1000;
}

.main-area {
  padding-top: 75px;
}

.navbar li a {
  border-radius: 10px;
}

.navbar li a:hover {
  background-color: #f5bfbf;
  color: #ca1100;
  transition: 0.3s;
}

.button-hover:hover {
  transform: scale(1.1);
  transition: 0.1s;
}

.button-hover:hover > i {
  opacity: 0.9 !important;
}

/* hover da area de planos */
#information-item {
  margin: 0 !important;
  margin-left: 10px !important;
  text-align: start;
}

.plan-card {
  max-width: 320px !important;
  min-height: 663px !important;
  cursor: pointer;
}

/* Even card (default white) - hover state */
.plan-card-even {
  background-color: #fff;
  color: #000 !important;
  transition: 0.4s;
}

.plan-card-even:hover {
  background-color: #ca1100 !important;
  color: #fff !important;
  transition: 0.4s;
}

.price-fr {
  color: #000 !important;
}

.price-fr-odd {
  color: #fff !important;
}

.plan-card-even:hover .price-fr {
  color: #fff !important;
}

.bi-check-even {
  color: #ca1100 !important;
}

.bi-check-odd {
  color: #fff !important;
}

.plan-card-even:hover ul .bi-check {
  color: #fff !important;
}

.button-complement-odd {
  background-color: #403737 !important;
  color: #fff !important;
}

.plan-card-even:hover .button-complement {
  background-color: #403737 !important;
}

.plan-selectors > div:has(.plan-card-even:hover) .plan-card-odd {
  background-color: #fff !important;
  color: #000 !important;
}

.plan-selectors > div:has(.plan-card-even:hover) .plan-card-odd ul .bi-check {
  color: #000 !important;
}

.plan-selectors > div:has(.plan-card-even:hover) .plan-card-odd .price-fr {
  color: #ca1100 !important;
}

.plan-selectors
  > div:has(.plan-card-even:hover)
  .plan-card-odd
  .button-complement {
  background-color: #ca1100 !important;
}

.plan-card-odd {
  background-color: #ca1100 !important;
  color: #fff !important;
  transition: 0.3s;
}

.plan-card-odd:hover {
  background-color: #fff !important;
  color: #000 !important;
  transition: 0.4s;
}

.plan-card-odd:hover .price-fr {
  color: #ca1100 !important;
}

.plan-card-odd:hover ul .bi-check {
  color: #ca1100 !important;
}

.plan-card-odd:hover .button-complement {
  background-color: #ca1100 !important;
}

.plan-selectors > div:has(.plan-card-odd:hover) .plan-card-even {
  background-color: #ca1100 !important;
  color: #fff !important;
}

.plan-selectors > div:has(.plan-card-odd:hover) .plan-card-even ul .bi-check {
  color: #fff !important;
}

.plan-selectors > div:has(.plan-card-odd:hover) .plan-card-even .price-fr {
  color: #fff !important;
}

.plan-selectors
  > div:has(.plan-card-odd:hover)
  .plan-card-even
  .button-complement {
  background-color: #403737 !important;
}

@media (max-width: 768px) {
  .shadow {
    flex-direction: column !important;
  }
}

/* plano ativo classes */

#pro-plan hr {
  border: none;
  height: 1px;
  width: 100%;
}

.line-active {
  background-color: #fff;
}

.line-desactive {
  background-color: black;
}

.price-active {
  color: #fff !important;
}

.cupons-area-cards {
  overflow: hidden;
}

/*INPUTS  */
input {
  height: 2rem;
}

input,
textarea {
  outline: none !important;
  border: none;
}

/* classes de estilos */

.flex-align {
  display: flex;
  justify-content: center;
  align-items: center;
}

.font-color {
  color: #000;
}

.text-emphasis {
  color: #ca1100;
  transition: 0.3s !important;
}

.object-empashis {
  background-color: #ca1100;
  cursor: pointer;
}

.button-complement {
  padding: 0.9rem 2rem;
  outline: none;
  border: none;
}

.border-left {
  border-top-left-radius: 30px;
  border-bottom-left-radius: 30px;
}

.border-right {
  border-top-right-radius: 30px;
  border-bottom-right-radius: 30px;
}

.button-secondary {
  background-color: #403737 !important;
  color: hsl(0, 0%, 100%) !important;
}

.button-tertiary {
  color: #fff;
}

.icon-color {
  color: #fff !important;
}

.main-secondary-color {
  color: #fff;
}

/* edição direta de items da lading Page */
#register-btn {
  color: #403737;
}

.function-card {
  background-color: white;
  flex: 1 300px;
  color: black;
}

.cupom-card {
  background-color: white;
  flex: 1 250px !important;
  box-shadow: 5px 2px 15px #c0c0c0;
}

.container-cadastrar {
  padding-top: 108px;
  margin: 0 200px;
}

.footer-container {
  background-color: #ca1100;
}

.form-control {
  font-size: 1em;
}

.input-group-text {
  padding-top: 8px;
}

.information {
  margin: 0 !important;
}

.list {
  gap: 10px;
}

.info-object {
  gap: 8px;
  margin-bottom: 8px;
}

.plan-container {
  flex-wrap: wrap;
  justify-content: center;
  border: 1px solid #eee !important;
}

.img-home {
  margin-left: 70px !important;
}

@media (max-width: 768px) {
  .modulo-cardapio .modulo-mockup-area {
    margin-left: 0 !important;
  }

  .img-home {
    margin-left: 0 !important;
  }

  .actions-home {
    margin-bottom: 2em !important;
  }

  .container-cadastrar {
    margin: 0 20px;
    padding-top: 108px;
  }

  .steps {
    display: none;
  }

  #nav {
    padding: 10px 20px;
  }

  .infomation-list {
    margin: 1em !important;
    padding-right: 0 !important;
  }

  .button-complement {
    padding: 0.9rem 1.5rem !important;
  }

  .section-md-header {
    justify-content: center !important;
  }

  .text-emphasis {
    font-size: 23px !important;
  }

  .menu-title {
    font-size: 23px !important;
  }
}

@media (max-width: 425px) {
  .section-modulo-delivery .modulo-mockup-area {
    margin-top: 2em !important;
    margin-bottom: 0 !important;
  }

  .section-modulo-delivery .modulo-mockup-area {
    margin-left: 1em;
  }

  .register-container {
    padding: 0 !important;
    padding-bottom: 20px !important;
  }

  .footer-title {
    font-size: 18px !important;
  }

  .footer-desc {
    font-size: 14px !important;
  }

  .tel-contact {
    text-align: center !important;
  }

  .tel-contact a span {
    font-size: 18px !important;
  }

  h1 {
    font-size: 23px !important;
    font-weight: bold !important;
  }

  .function-cards-area {
    margin-bottom: 5em !important;
  }

  h5 {
    font-size: 18px !important;
    font-weight: 500 !important;
  }

  p {
    font-size: 16px !important;
  }
}
